From 85af21f30c92b7225355ef3347c2cd78ae9fc810 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: May 28 2024 03:46:01 +0000
Subject: [PATCH 173/220] s


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 4d5025c..62f0678 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -68,13 +68,13 @@ BuildRequires:  just
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 6769fbe..733a6ca 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -75,13 +75,13 @@ Requires:       cosmic-panel
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 4ea9fa7..950a082 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -60,13 +60,13 @@ Requires:       cosmic-session
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index da22c6d..2dc2df0 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -78,13 +78,13 @@ Recommends:     cosmic-session
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index 9a4949b..3531f77 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -73,13 +73,13 @@ BuildRequires:  git-core
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index f8e2c4d..f8bc46d 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -73,13 +73,13 @@ BuildRequires:  git-core
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index 4b67d81..35f5e0e 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -80,13 +80,13 @@ Requires:       cosmic-comp
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index af907a4..65ee0a1 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -73,13 +73,13 @@ Requires:       pop-launcher
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index f283b80..7a5f2b5 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -66,13 +66,13 @@ BuildRequires:  just
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index f2e5f7f..30377ac 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -71,13 +71,13 @@ BuildRequires:  make
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index 56276cb..ca92dc4 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -63,13 +63,13 @@ BuildRequires:  just
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index 80e19ea..91dc0ec 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -54,13 +54,13 @@ Cosmic-randr command line interface.}
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index 329a408..abf8a32 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -57,13 +57,13 @@ BuildRequires:  just
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index eaf6995..9d54d3f 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -83,13 +83,13 @@ The session manager for the COSMIC desktop environment.}
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index 363c8e7..904e75b 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -70,13 +70,13 @@ Requires:       acpid
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 306d0ed..f391d74 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -71,13 +71,13 @@ BuildRequires:  just
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 6223071..bea323b 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -71,13 +71,13 @@ Requires:       flatpak-libs
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 0a61d25..0e4b664 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -72,13 +72,13 @@ BuildRequires:  git-core
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 40c7a24..492896d 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -76,13 +76,13 @@ Requires:       cosmic-comp
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index 75d95f0..c7e7fb1 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -69,13 +69,13 @@ Requires:       fd-find
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index 8f49e28..3404652 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -75,13 +75,13 @@ BuildRequires:  just
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
-  cat ../vendor-config.toml >> .cargo/config.toml
-  echo "Appended ../vendor-config.toml to .cargo/config.toml"
+  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  cat %{SOURCE2} >> .cargo/config.toml
+  echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
-  cat ../vendor-config.toml >> .cargo/config
-  echo "Appended ../vendor-config.toml to .cargo/config"
+  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  cat %{SOURCE2} >> .cargo/config
+  echo "Appended %{SOURCE2} to .cargo/config"
 fi
 
 %build
diff --git a/scripts/srpm.sh b/scripts/srpm.sh
index f76f43b..9c96c5d 100644
--- a/scripts/srpm.sh
+++ b/scripts/srpm.sh
@@ -30,7 +30,7 @@ git reset --hard $COMMIT
 if [ "$VENDOR" -eq 1 ]; then
     echo "VENDOR=1"
     # Vendor dependencies and zip vendor
-    cargo vendor > ../vendor-config.toml
+    cargo vendor > %{SOURCE2}
     tar -pczf vendor.tar.gz vendor && mv vendor.tar.gz ../vendor.tar.gz
     # Back into parent directory
     rm -rf vendor

